Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceResourcesManager

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/mobile/resourcesManager")
      public interface ServiceResourcesManager
      extends org.fusesource.restygwt.client.RestService

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkDates​(String appId, String startDate, String endDate, org.fusesource.restygwt.client.TextCallback callback)` |
    `void` | `deleteReservation​(String appId, ReservationDTO reservation, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |
    `void` | `getAvailableResources​(String appId, String startDate, String endDate, org.fusesource.restygwt.client.MethodCallback<List<ResourceDTO>> callback)` |
    `void` | `getMyReservations​(String appId, org.fusesource.restygwt.client.MethodCallback<List<ReservationDTO>> callback)` |
    `void` | `saveReservation​(String appId, ReservationDTO dto, org.fusesource.restygwt.client.MethodCallback<ReservationDTO> callback)` |

- - ### Method Detail

    - #### checkDates

          @GET
          @Produces("text/plain")
          @Path("{appId}/resources/checkdates/{startDate}/{endDate}")
          void checkDates​(@PathParam("appId")
                          String appId,
                          @PathParam("startDate")
                          String startDate,
                          @PathParam("endDate")
                          String endDate,
                          org.fusesource.restygwt.client.TextCallback callback)

    - #### getAvailableResources

          @GET
          @Produces("application/json")
          @Path("{appId}/resources/available/{startDate}/{endDate}")
          void getAvailableResources​(@PathParam("appId")
                                     String appId,
                                     @PathParam("startDate")
                                     String startDate,
                                     @PathParam("endDate")
                                     String endDate,
                                     org.fusesource.restygwt.client.MethodCallback<List<ResourceDTO>> callback)

    - #### getMyReservations

          @GET
          @Produces("application/json")
          @Path("{appId}/reservations/my")
          void getMyReservations​(@PathParam("appId")
                                 String appId,
                                 org.fusesource.restygwt.client.MethodCallback<List<ReservationDTO>> callback)

    - #### saveReservation

          @POST
          @Produces("application/json")
          @Consumes("application/json")
          @Path("{appId}/saveReservation")
          void saveReservation​(@PathParam("appId")
                               String appId,
                               ReservationDTO dto,
                               org.fusesource.restygwt.client.MethodCallback<ReservationDTO> callback)

    - #### deleteReservation

          @DELETE
          @Produces("application/json")
          @Consumes("application/json")
          @Path("{appId}/reservation")
          void deleteReservation​(@PathParam("appId")
                                 String appId,
                                 ReservationDTO reservation,
                                 org.fusesource.restygwt.client.MethodCallback<Void> callback)